## org.eclipse.datatools.connectivity.oda.design
Interface AxisAttributes

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface AxisAttributes

extends org.eclipse.emf.ecore.EObject

Multi-dimensional attributes of a data element, such as a result set column.

The following features are supported:

- `Axis Type`
- `On Column Layout`
- `Related Columns`

See Also:
  `DesignPackage.getAxisAttributes()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`AxisType` `getAxisType()` Returns the value of the 'Axis Type' attribute.
`ResultSubset` `getRelatedColumns()` Returns the value of the 'Related Columns' containment reference.
`boolean` `isOnColumnLayout()` Returns the value of the 'On Column Layout' attribute.
`boolean` `isSetAxisType()` Returns whether the value of the '`Axis Type`' attribute is set.
`boolean` `isSetOnColumnLayout()` Returns whether the value of the '`On Column Layout`' attribute is set.
`void` `setAxisType(AxisType value)` Sets the value of the '`Axis Type`' attribute.
`void` `setOnColumnLayout(boolean value)` Sets the value of the '`On Column Layout`' attribute.
`void` `setRelatedColumns(ResultSubset value)` Sets the value of the '`Related Columns`' containment reference.
`void` `unsetAxisType()` Unsets the value of the '`Axis Type`' attribute.
`void` `unsetOnColumnLayout()` Unsets the value of the '`On Column Layout`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getAxisType

    AxisType getAxisType()

  Returns the value of the 'Axis Type' attribute. The default value is `"Measure"`. The literals are from the enumeration `AxisType`. The axis type of the data element. It provides design hints to a consumer application on how the column data should be analyzed, or applied in a multi-dimensional view.

  Returns:
    the value of the 'Axis Type' attribute.
  See Also:
    `AxisType`, `isSetAxisType()`, `unsetAxisType()`, `setAxisType(AxisType)`, `DesignPackage.getAxisAttributes_AxisType()`

### setAxisType

    void setAxisType(AxisType value)

  Sets the value of the '`Axis Type`' attribute.

  Parameters:
    `value` - the new value of the 'Axis Type' attribute.
  See Also:
    `AxisType`, `isSetAxisType()`, `unsetAxisType()`, `getAxisType()`

### unsetAxisType

    void unsetAxisType()

  Unsets the value of the '`Axis Type`' attribute.

  See Also:
    `isSetAxisType()`, `getAxisType()`, `setAxisType(AxisType)`

### isSetAxisType

    boolean isSetAxisType()

  Returns whether the value of the '`Axis Type`' attribute is set.

  Returns:
    whether the value of the 'Axis Type' attribute is set.
  See Also:
    `unsetAxisType()`, `getAxisType()`, `setAxisType(AxisType)`

### isOnColumnLayout

    boolean isOnColumnLayout()

  Returns the value of the 'On Column Layout' attribute. The default value is `"true"`. A design hint on whether the dimension data element should be laid out on a column or row. It is normally used by presentation element such as a crosstab to design a default layout.

  Returns:
    the value of the 'On Column Layout' attribute.
  See Also:
    `isSetOnColumnLayout()`, `unsetOnColumnLayout()`, `setOnColumnLayout(boolean)`, `DesignPackage.getAxisAttributes_OnColumnLayout()`

### setOnColumnLayout

    void setOnColumnLayout(boolean value)

  Sets the value of the '`On Column Layout`' attribute.

  Parameters:
    `value` - the new value of the 'On Column Layout' attribute.
  See Also:
    `isSetOnColumnLayout()`, `unsetOnColumnLayout()`, `isOnColumnLayout()`

### unsetOnColumnLayout

    void unsetOnColumnLayout()

  Unsets the value of the '`On Column Layout`' attribute.

  See Also:
    `isSetOnColumnLayout()`, `isOnColumnLayout()`, `setOnColumnLayout(boolean)`

### isSetOnColumnLayout

    boolean isSetOnColumnLayout()

  Returns whether the value of the '`On Column Layout`' attribute is set.

  Returns:
    whether the value of the 'On Column Layout' attribute is set.
  See Also:
    `unsetOnColumnLayout()`, `isOnColumnLayout()`, `setOnColumnLayout(boolean)`

### getRelatedColumns

    ResultSubset getRelatedColumns()

  Returns the value of the 'Related Columns' containment reference. The result set column(s) that are related to this data element. For example, for a dimension member AxisType element, its related column(s) are those modeled to be its attribute. Multiple related columns may be combined to be a compounded attribute of a dimension.

  Returns:
    the value of the 'Related Columns' containment reference.
  Since:
    3.3.2
  See Also:
    `setRelatedColumns(ResultSubset)`, `DesignPackage.getAxisAttributes_RelatedColumns()`

### setRelatedColumns

    void setRelatedColumns(ResultSubset value)

  Sets the value of the '`Related Columns`' containment reference.

  Parameters:
    `value` - the new value of the 'Related Columns' containment reference.
  Since:
    3.3.2
  See Also:
    `getRelatedColumns()`